List Artifacts

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /artifacts

Get artifacts list

Request

REQUIRED SCOPES
ARTIFACT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
project_namestring
The human-readable ID of the project to filter artifacts

Example: "my-project"

environment_idstring
The ID of the environment to filter artifacts

Example: "nZrnl40Y"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
artifactsShortArtifactView[]

Last modified on Nov 17, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/artifacts" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"

Response examples

all-artifacts
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/ttests/artifacts",
  "html_url": "https://app.buddy.works/ttests/-/artifacts",
  "artifacts": [
    {
      "url": "https://api.buddy.works/workspaces/ttests/artifacts/lV1bAjo2",
      "html_url": "https://app.buddy.works/ttests/-/artifacts/lV1bAjo2/versions",
      "id": "lV1bAjo2",
      "type": "CONTAINER",
      "name": "My Application Artifact",
      "identifier": "my-app-artifact",
      "scope": "WORKSPACE",
      "size": 1048576000
    },
    {
      "url": "https://api.buddy.works/workspaces/ttests/artifacts/N6j4zgB4",
      "html_url": "https://app.buddy.works/ttests/-/artifacts/N6j4zgB4/versions",
      "id": "N6j4zgB4",
      "type": "CONTAINER",
      "name": "Shared Library Artifact",
      "identifier": "shared-lib",
      "scope": "WORKSPACE",
      "size": 2147483648
    }
  ]
}
STATUS
200 List of artifacts retrieved successfully
filtered-by-project
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/ttests/artifacts",
  "html_url": "https://app.buddy.works/ttests/-/artifacts",
  "artifacts": [
    {
      "url": "https://api.buddy.works/workspaces/ttests/artifacts/lV1bAjo2",
      "html_url": "https://app.buddy.works/ttests/-/artifacts/lV1bAjo2/versions",
      "id": "lV1bAjo2",
      "type": "CONTAINER",
      "name": "My Application Artifact",
      "identifier": "my-app-artifact",
      "scope": "PROJECT",
      "size": 1048576000
    }
  ]
}
STATUS
200 List of artifacts retrieved successfully
filtered-by-environment
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/ttests/artifacts",
  "html_url": "https://app.buddy.works/ttests/-/artifacts",
  "artifacts": [
    {
      "url": "https://api.buddy.works/workspaces/ttests/artifacts/lV1bAjo2",
      "html_url": "https://app.buddy.works/ttests/-/artifacts/lV1bAjo2/versions",
      "id": "lV1bAjo2",
      "type": "BUCKET",
      "name": "Environment Artifact",
      "identifier": "env-artifact",
      "scope": "ENVIRONMENT",
      "size": 786432000
    }
  ]
}
STATUS
200 List of artifacts retrieved successfully